XML Standard API: Class XPathException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.xpath
Class XPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

public class XPathException
extends java.lang.RuntimeException

A new exception has been created for exceptions specific to these XPath interfaces.

See also the Document Object Model (DOM) Level 3 XPath Specification.

See Also:
  Serialized Form

Field Summary
`short` | `code`
`static short` | `INVALID_EXPRESSION_ERR` If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
`static short` | `TYPE_ERR` If the expression cannot be converted to return the specified type.

Constructor Summary
`XPathException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### INVALID_EXPRESSION_ERR

    public static final short INVALID_EXPRESSION_ERR

  If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.

### TYPE_ERR

    public static final short TYPE_ERR

  If the expression cannot be converted to return the specified type.

Constructor Detail

### XPathException

    public XPathException(short code,
                          java.lang.String message)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.